Bug 65458 - Install hangs upon fist boot from CD or Floppy at disk read
Summary: Install hangs upon fist boot from CD or Floppy at disk read
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-24 14:59 UTC by Xander D Harkness
Modified: 2016-06-07 22:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 03:09:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Xander D Harkness 2002-05-24 14:59:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0+) Gecko/20020519

Description of problem:
Red Hat will not install on my laptop (even though Debian will.)
Red Hat versions 7.1, 7.2, 7.92 and 7.3 all fail at the same point with the
following message:
EXT2-fs: unable to read super block
cramfs: wrong magic
FAT: unable to read boot sector
isofs_read_super: bread failed, dev=09:02, iso_blknum=16, block=32
Kernel panic: VFS: Unable to mount root fs on 09:02


At which point it stops.  I have formatted the whole filesystem, installed
Debian on it twice.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Put in Red Hat boot media (floppy or CD)
2.Boot
3.Error above obtained.  Will only hard reboot
	

Actual Results:  System hangs

Expected Results:  Red Hat installation

Additional info:

Comment 1 Arjan van de Ven 2002-05-28 11:28:37 UTC
Can you give some description of the hardware ? CPU, ram, videochipset etc ?

Comment 2 Xander D Harkness 2002-06-12 12:20:59 UTC
celeron 733
128Mb ram (16 shared with video)
SiS 630 video
6 Gb Hard drive

Please note that I have had Red Hat previously installed on this machine.

After the reported error I have done a full format of the drive and run scan
disk and had no reported errors.

Sorry for the delay

Comment 3 Arjan van de Ven 2002-06-12 12:23:58 UTC
>128Mb ram (16 shared with video)
>SiS 630 video

I've had a report where the "shared" bits somehow got misdetected.
Could you try passing the mem=111M parameter to the kernel and see if that helps?

Comment 4 Xander D Harkness 2002-06-18 07:40:50 UTC
Yipppeeee, yes it does, I have a functional laptop again.

Thanks very much.

Kind regards
Xander

Comment 5 Arjan van de Ven 2002-06-18 08:01:00 UTC
Could you attach the dmesg output from a normal boot?
Maybe I can see something that indicates what's up (or maybe there's nothing
special.. who knows)

Comment 6 Xander D Harkness 2002-07-25 08:50:25 UTC
That worked very well indeed.

Thanks very much :-)


Note You need to log in before you can comment on or make changes to this bug.